{
   "format_version": "1.16.100",
   "minecraft:block": {
      "description": {
         "identifier": "vatonage:minitnt",
         "register_to_creative_menu": true
      },
      "components": {
         "minecraft:material_instances": {
            "*": {
               "texture": "minitnt",
               "render_method": "alpha_test"
            }
         },
         "minecraft:pick_collision": {
             "origin":  [-4, 0, -4],
             "size":    [8, 8, 8]
         },
         "minecraft:geometry": "geometry.tntblock2",
         "minecraft:destroy_time": 0,
         "minecraft:block_light_absorption": 0,
         "minecraft:on_interact": {
            "target": "other",
            "event": "vatonage:fill",
            "condition": "query.get_equipped_item_name == 'flint_and_steel'"
         }
      },
      "events": {
         "vatonage:fill": {
            "run_command": {
               "command": "function minitnt"
            }
         }
      }
   }
}